Subject: Re: bug#9463: 24.0.50; Errors should not be continuable

From: Stefan Monnier <[email-masked]>
Date: Thu, 08 Sep 2011 09:31:40 -0400

> emacs -Q -eval '(let ((debug-on-error t)) (error "foo"))'
> enters the debugger.  Pressing c somehow manages to continue.  That make
> no sense to me.  The debugger should instead not continue and say
> that errors are not continuable.

"c" in errors now "continues" in the sense of "do what would have
happened if the debugger had not been called".  I.e. it will actually
signal the error which can then be caught by condition-cases further up
the stack, .... I.e. it's very similar to what happens with "q", but is
often cleaner.

        Stefan